Bug 235263 (CVE-2007-1003) - CVE-2007-1003 xserver XC-MISC integer overflow
Summary: CVE-2007-1003 xserver XC-MISC integer overflow
Status: CLOSED RAWHIDE
Alias: CVE-2007-1003
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact:
URL:
Whiteboard: impact=important,reported=20070216,pu...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-04 18:53 UTC by Josh Bressers
Modified: 2018-08-15 22:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-13 18:34:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2007-04-04 18:53:04 UTC
+++ This bug was initially created as a clone of Bug #233001 +++

+++ This bug was initially created as a clone of Bug #233000 +++

Sean Larsson, iDefense Labs, discovered an integer overflow flaw in the XC-MISC
extension.  This overflow could allow a local user to gain root privileges.

-- Additional comment from bressers@redhat.com on 2007-03-19 16:10 EST --
Created an attachment (id=150431)
Poposed upstream patch


This flaw also affects FC5

Comment 1 Adam Jackson 2007-04-13 18:34:38 UTC
These have been pushed.


Note You need to log in before you can comment on or make changes to this bug.